var normalchk="N";
$(document).ready(function () {

  $("#insax").click(function () {
    $(this).prev().trigger('click');
  });

  $('.upload').change(function (e) {
      var self=this;
      if (typeof (FileReader) != "undefined") {
        if (self.files && self.files[0]) {
          var reader = new FileReader();
          reader.onload = function (e) {
                  $("#imageN").css("background-image", "url("+e.target.result+")" );
              $("#upax").css("visibility","visible");
              $("#cancleax").css("visibility","visible");
              $("#insax").css("visibility","hidden");
          };
          reader.readAsDataURL(self.files[0]);
         }else{
          //alert("عکس را انتخاب کنید");
          resetbtn();
         }
      } else {
         //alert("مرورگر شما از امکانات HTML5 پشتیبانی نمی نماید.");
      }
  });
  function resetbtn(){
    $("#cancleax").css("visibility","hidden");
    $("#upax").css("visibility","hidden");
    $("#imageN").css("background-image","none" );
    //alert("kkkkkkkkkkkkkkkkkkk");
    $("#insax").css("visibility","visible");
  }

  $("#cancleax").click(function(){
          resetbtn();
  });


  $("#upax").click(async function(){
      var formdata=new FormData(frmAX);
      var result=await jqajax(myurl_ins,formdata,"post","loader");
      show_imgcrop(result);
  });

});

